Bug 219399 - kawa: non-failsafe install-info usage
kawa: non-failsafe install-info usage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kawa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 17:18 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 11:58:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-12 17:18:09 EST
kawa's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %postun would fix it.

Additionally, "Requires(post): /sbin/install-info" and "Requires(postun):
/sbin/install-info" seem to be missing.

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 1 Anthony Green 2006-12-16 11:58:01 EST
Fixed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.